org.apache.ignite.internal.visor.log

## Class VisorLogFile

- java.lang.Object
- - org.apache.ignite.internal.visor.log.VisorLogFile

All Implemented Interfaces:
  Serializable

    public class VisorLogFile
    extends Object
    implements Serializable

Visor log file.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorLogFile(File file)` Create log file for given file.
`VisorLogFile(String path, long size, long lastModified)` Create log file with given parameters.

### Method Summary

Methods
`long` `lastModified()`
`String` `path()`
`long` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorLogFile

    public VisorLogFile(File file)

Create log file for given file.

Parameters:
  `file` - Log file.

#### VisorLogFile

    public VisorLogFile(String path,
                long size,
                long lastModified)

Create log file with given parameters.

Parameters:
  `path` - File path.
  `size` - File size.
  `lastModified` - File last modified date.

### Method Detail

#### path

    public String path()

Returns:
  File path.

#### size

    public long size()

Returns:
  File size.

#### lastModified

    public long lastModified()

Returns:
  File last modified timestamp.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016